EasyCwmp

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000343easycwmp[All Projects] Helppublic2018-07-10 01:112018-07-10 01:11
ReporterAntony1169 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusnewResolutionopen 
PlatformLinux x86OSCentOS 7OS Version7-5.1804.el7
Summary0000343: Unable to Complete ./configure Script
DescriptionThis is repeatable on latest CentOS 7 and Ubuntu Server 18.04 versions.

I am sure that I followed the EasyCwmp installation guide completely. I always get stuck when installing the EasyCwmp program at the ./configure script. It reports "No package 'microxml' found".
I repeat the installation instructions part 3 and skip over step 2 for microxml from the EasyCwmp installation document. I look over the ./configure script and can not tell what/where the script is looking for 'microxml'.

Required packages installed:
libuci: 26 March 2018 version (from git.openwrt.org)
libcurl: libcurl-devel 7.29.0-46.el7
json-c: json-c 0.11-4.el7_0
json-c: json-c-devel 0.11-4.el7_0
libubox: 2.8.12.2
libubus: 2.8.12.2
microxml: 1.0 (from https://github.com/pivasoftware/microxml [^])
mini-xml: 2.7
Steps To ReproduceInstall all packages normally using the steps provided at http://www.easycwmp.org/install.html [^] (not all packages needed to be installed are listed; cmake, autoconf, libcurl-dev, etc.)

When you start installing the latest version of EasyCwmp, you will be able to run the "autoreconf -i" successfully. When you run the "./configure --prefix=/usr --enable-threads --enable-shared --enable-static" script, 1) --enable-acs is not recognized 2) "checking for MICROXML... no"
"configure: error: Package requirements (microxml) were not met:

"No package 'microxml' found

"Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix.

"Alternatively, you may set the environment variables MICROXML_CFLAGS
and MICROXML_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details."
Additional InformationThen man pkg-config page does not help me as I did not design this code.

json-c and libcurl were installed using yum in CentOS 7 and apt-get in Ubuntu 18.04
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2018-07-10 01:11 Antony1169 New Issue


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker